package com.caliverse.admin.dynamodb.repository;

import com.caliverse.admin.domain.request.RankRequest;
import com.caliverse.admin.dynamodb.domain.doc.RankingScheduleDoc;
import com.caliverse.admin.dynamodb.entity.DynamodbOperationResult;

public interface RankingSchedulerRepository extends DynamoDBRepository<RankingScheduleDoc> {
    void insert(RankRequest rankRequest);
    void update(RankRequest rankRequest);
    DynamodbOperationResult delete(String id);
}
